"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const config_1 = require("vitest/config");
exports.default = (0, config_1.defineConfig)({
    test: {
        deps: {
            interopDefault: false,
        },
        root: (0, path_1.resolve)('./'),
        setupFiles: './tests/setup.ts',
        poolOptions: {
            threads: {
                singleThread: true,
            },
        },
        testTimeout: 120000,
        watch: false,
        fileParallelism: false,
        minWorkers: 1,
        maxWorkers: 1,
        maxConcurrency: 1,
        cache: false,
        coverage: {
            enabled: true,
            reportsDirectory: './coverage',
        },
        onConsoleLog() {
            return true;
        },
        onStackTrace() {
            return true;
        },
    },
});
//# sourceMappingURL=vitest.config.js.map