import { resolve } from 'path';
import { defineConfig } from 'vitest/config';
export default defineConfig({
    test: {
        deps: {
            interopDefault: false,
        },
        root: resolve('./'),
        setupFiles: './tests/setup.ts',
        poolOptions: {
            threads: {
                singleThread: true,
            },
        },
        testTimeout: 120000,
        watch: false,
        fileParallelism: false,
        minWorkers: 1,
        maxWorkers: 1,
        maxConcurrency: 1,
        cache: false,
        coverage: {
            enabled: true,
            reportsDirectory: './coverage',
        },
        onConsoleLog() {
            return true;
        },
        onStackTrace() {
            return true;
        },
    },
});
//# sourceMappingURL=vitest.config.js.map